import { PureComponent } from 'react';
import { NavigationRoute, NavigationInjectedProps } from 'react-navigation';
import { NativeNavigationDescriptorMap, NativeNavigatorHeaderModes, NativeNavigatorModes } from './types';
export interface NativeScenesProps extends NavigationInjectedProps {
    routes: NavigationRoute[];
    mode: NativeNavigatorModes;
    headerMode?: NativeNavigatorHeaderModes;
    splitPrimaryRouteNames?: string[];
    descriptors: NativeNavigationDescriptorMap;
    screenProps?: unknown;
    onOpenRoute: (route: NavigationRoute) => void;
    onCloseRoute: (route: NavigationRoute) => void;
    onDismissRoute: (route: NavigationRoute) => void;
    closingRoutes: {
        [key: string]: boolean;
    };
}
export default class NativeScenes extends PureComponent<NativeScenesProps> {
    private handleDidFocus;
    private handleDidBlur;
    render(): JSX.Element;
}
