import React, { PureComponent } from 'react';
import NativeScene from './NativeScene';
export default class NativeScenes extends PureComponent {
    constructor() {
        super(...arguments);
        this.handleDidFocus = (route) => {
            this.props.onOpenRoute(route);
        };
        this.handleDidBlur = (route, dismissed) => {
            // If the scene has been removed from native side.
            if (dismissed) {
                if (this.props.closingRoutes[route.key]) {
                    // Handle close transition complete.
                    this.props.onCloseRoute(route);
                }
                else {
                    // Handle dismiss from native side.
                    this.props.onDismissRoute(route);
                }
            }
        };
    }
    render() {
        const { routes, descriptors, screenProps, mode, closingRoutes, headerMode, splitPrimaryRouteNames } = this.props;
        const splitPrimaryRouteSet = new Set(splitPrimaryRouteNames);
        return (<>
        {routes.map(route => {
            const descriptor = descriptors[route.key];
            return (<NativeScene key={route.key} isSplitPrimary={splitPrimaryRouteSet.has(route.routeName)} closing={closingRoutes[route.key]} descriptor={descriptor} route={route} screenProps={screenProps} mode={mode} headerMode={headerMode} onDidFocus={this.handleDidFocus} onDidBlur={this.handleDidBlur}/>);
        })}
      </>);
    }
}
//# sourceMappingURL=NativeScenes.js.map