import React, { useState, createContext, useMemo, useCallback, useEffect } from 'react';
export const NativeSplitNavigatorOptionsContext = createContext({ options: {}, setOptions: () => { } });
export default function NativeSplitNavigatorOptionsWrapper(props) {
    var _a, _b, _c, _d, _e;
    const { children, navigation, screenProps } = props;
    const options = typeof props.options === 'function'
        ? props.options({
            navigation,
            screenProps
        })
        : props.options;
    const [isSplitFullScreen, setIsSplitFullScreen] = useState(() => { var _a; return (_a = options) === null || _a === void 0 ? void 0 : _a.isSplitFullScreen; });
    useEffect(() => {
        var _a, _b;
        if (((_a = options) === null || _a === void 0 ? void 0 : _a.isSplitFullScreen) !== isSplitFullScreen) {
            setIsSplitFullScreen((_b = options) === null || _b === void 0 ? void 0 : _b.isSplitFullScreen);
        }
    }, [(_a = options) === null || _a === void 0 ? void 0 : _a.isSplitFullScreen]);
    const [splitRules, setSplitRules] = useState(() => { var _a; return (_a = options) === null || _a === void 0 ? void 0 : _a.splitRules; });
    useEffect(() => {
        var _a, _b;
        if (((_a = options) === null || _a === void 0 ? void 0 : _a.splitRules) !== splitRules) {
            setSplitRules((_b = options) === null || _b === void 0 ? void 0 : _b.splitRules);
        }
    }, [(_b = options) === null || _b === void 0 ? void 0 : _b.splitRules]);
    const [splitPlaceholder, setSplitPlaceholder] = useState(() => { var _a; return (_a = options) === null || _a === void 0 ? void 0 : _a.splitPlaceholder; });
    useEffect(() => {
        var _a, _b;
        if (((_a = options) === null || _a === void 0 ? void 0 : _a.splitPlaceholder) !== splitPlaceholder) {
            setSplitPlaceholder((_b = options) === null || _b === void 0 ? void 0 : _b.splitPlaceholder);
        }
    }, [(_c = options) === null || _c === void 0 ? void 0 : _c.splitPlaceholder]);
    const [splitPrimaryRouteNames, setSplitPrimaryRouteNames] = useState(() => { var _a; return (_a = options) === null || _a === void 0 ? void 0 : _a.splitPrimaryRouteNames; });
    useEffect(() => {
        var _a, _b;
        if (((_a = options) === null || _a === void 0 ? void 0 : _a.splitPrimaryRouteNames) !== splitPrimaryRouteNames) {
            setSplitPrimaryRouteNames((_b = options) === null || _b === void 0 ? void 0 : _b.splitPrimaryRouteNames);
        }
    }, [(_d = options) === null || _d === void 0 ? void 0 : _d.splitPrimaryRouteNames]);
    const [splitLineColor, setSplitLineColor] = useState(() => { var _a; return (_a = options) === null || _a === void 0 ? void 0 : _a.splitLineColor; });
    useEffect(() => {
        var _a, _b;
        if (((_a = options) === null || _a === void 0 ? void 0 : _a.splitLineColor) !== splitLineColor) {
            setSplitLineColor((_b = options) === null || _b === void 0 ? void 0 : _b.splitLineColor);
        }
    }, [(_e = options) === null || _e === void 0 ? void 0 : _e.splitLineColor]);
    const setOptions = useCallback((options) => {
        if (options.hasOwnProperty('isSplitFullScreen')) {
            setIsSplitFullScreen(options.isSplitFullScreen);
        }
        if (options.hasOwnProperty('splitRules')) {
            setSplitRules(options.splitRules);
        }
        if (options.hasOwnProperty('splitPlaceholder')) {
            setSplitPlaceholder(options.splitPlaceholder);
        }
        if (options.hasOwnProperty('splitPrimaryRouteNames')) {
            setSplitPrimaryRouteNames(options.splitPrimaryRouteNames);
        }
        if (options.hasOwnProperty('splitLineColor')) {
            setSplitLineColor(options.splitLineColor);
        }
    }, []);
    const value = useMemo(() => {
        return {
            options: {
                isSplitFullScreen,
                splitRules,
                splitPlaceholder,
                splitPrimaryRouteNames,
                splitLineColor
            },
            setOptions
        };
    }, [
        isSplitFullScreen,
        splitRules,
        splitPlaceholder,
        splitPrimaryRouteNames,
        splitLineColor
    ]);
    return (<NativeSplitNavigatorOptionsContext.Provider value={value}>
      {children(value.options)}
    </NativeSplitNavigatorOptionsContext.Provider>);
}
//# sourceMappingURL=NativeSplitNavigatorOptionsWrapper.js.map