import { createNavigator, StackRouter } from 'react-navigation';
import NativeNavigators from './NativeNavigators';
import SplitRouter from './SplitRouter';
import { NativeNavigatorModes } from './types';
export function createNativeNavigator(routeConfigMap, stackConfig) {
    const router = StackRouter(routeConfigMap, stackConfig);
    return createNavigator(NativeNavigators, router, stackConfig);
}
export function createStackNavigator(routeConfigMap, stackConfig) {
    const router = StackRouter(routeConfigMap, stackConfig);
    return createNavigator(NativeNavigators, router, Object.assign(Object.assign({}, stackConfig), { mode: NativeNavigatorModes.Stack }));
}
export function createCardNavigator(routeConfigMap, stackConfig) {
    const router = StackRouter(routeConfigMap, stackConfig);
    return createNavigator(NativeNavigators, router, Object.assign(Object.assign({}, stackConfig), { mode: NativeNavigatorModes.Card }));
}
export function createSplitNavigator(routeConfigMap, splitConfig) {
    const router = SplitRouter(routeConfigMap, splitConfig);
    return createNavigator(NativeNavigators, router, Object.assign(Object.assign({}, splitConfig), { mode: NativeNavigatorModes.Split }));
}
//# sourceMappingURL=createNavigators.js.map